Package com.smartgwt.logicalstructure.widgets.grid

# Class ShuttleLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.grid.ShuttleLogicalStructure

public class ShuttleLogicalStructure extends LayoutLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `DataSource`
  `dataSource`
  `String`
  `deselectAllButtonHeight`
  `String`
  `deselectAllButtonIcon`
  `String`
  `deselectAllButtonWidth`
  `String`
  `deselectButtonHeight`
  `String`
  `deselectButtonIcon`
  `String`
  `deselectButtonWidth`
  `String`
  `fetchOperation`
  `ListGridField[]`
  `fields`
  `Criteria`
  `implicitCriteria`
  `String`
  `incompleteDataWarning`
  `SortSpecifier[]`
  `initialSort`
  `String`
  `loadingPlaceholderAttribute`
  `String`
  `selectAllButtonHeight`
  `String`
  `selectAllButtonIcon`
  `String`
  `selectAllButtonWidth`
  `String`
  `selectButtonHeight`
  `String`
  `selectButtonIcon`
  `String`
  `selectButtonWidth`
  `ListGridRecord`
  `selectedRecords`
  `String[]`
  `selectedValuesAsStringArrayArray`
  `String`
  `sortDirection`
  `String`
  `sortFieldAsString`
  `String`
  `sourceGridTitle`
  `String`
  `targetGridTitle`
  `String`
  `textMatchStyle`
  `String`
  `valueField`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure

  `alignAsString, animateMembers, animateMemberTime, canDropComponents, defaultLayoutAlignAsString, defaultResizeBars, dropLineThickness, editProxyConstructor, enforcePolicy, hPolicy, layoutBottomMargin, layoutEndMargin, layoutLeftMargin, layoutMargin, layoutRightMargin, layoutStartMargin, layoutTopMargin, leaveScrollbarGap, locateMembersBy, locateMembersType, managePercentBreadth, memberOverlap, membersAsCanvasArray, membersAsStringArrayArray, membersMargin, minMemberLength, minMemberSize, overflow, paddingAsLayoutMargin, resizeBarClass, resizeBarSize, reverseOrder, showDragPlaceHolder, showDropLines, stackZIndex, vertical, vPolicy`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadiusAsString, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, styleName, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShuttleLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dataSource

    public DataSource dataSource

  - ### deselectAllButtonHeight

    public String deselectAllButtonHeight

  - ### deselectAllButtonIcon

    public String deselectAllButtonIcon

  - ### deselectAllButtonWidth

    public String deselectAllButtonWidth

  - ### deselectButtonHeight

    public String deselectButtonHeight

  - ### deselectButtonIcon

    public String deselectButtonIcon

  - ### deselectButtonWidth

    public String deselectButtonWidth

  - ### fetchOperation

    public String fetchOperation

  - ### fields

    public ListGridField[] fields

  - ### implicitCriteria

    public Criteria implicitCriteria

  - ### incompleteDataWarning

    public String incompleteDataWarning

  - ### initialSort

    public SortSpecifier[] initialSort

  - ### loadingPlaceholderAttribute

    public String loadingPlaceholderAttribute

  - ### selectAllButtonHeight

    public String selectAllButtonHeight

  - ### selectAllButtonIcon

    public String selectAllButtonIcon

  - ### selectAllButtonWidth

    public String selectAllButtonWidth

  - ### selectButtonHeight

    public String selectButtonHeight

  - ### selectButtonIcon

    public String selectButtonIcon

  - ### selectButtonWidth

    public String selectButtonWidth

  - ### selectedRecords

    public ListGridRecord selectedRecords

  - ### selectedValuesAsStringArrayArray

    public String[] selectedValuesAsStringArrayArray

  - ### sortDirection

    public String sortDirection

  - ### sortFieldAsString

    public String sortFieldAsString

  - ### sourceGridTitle

    public String sourceGridTitle

  - ### targetGridTitle

    public String targetGridTitle

  - ### textMatchStyle

    public String textMatchStyle

  - ### valueField

    public String valueField

- ## Constructor Details

  - ### ShuttleLogicalStructure

    public ShuttleLogicalStructure()